Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Interface ExporterNature

All Superinterfaces:
  ExporterFilter

All Known Implementing Classes:
  JExcelApiExporterNature, JRCsvExporterNature, JRDocxExporterNature, JRHtmlExporterNature, JROdsExporterNature, JROdtExporterNature, JROfficeOpenXmlExporterNature, JROpenDocumentExporterNature, JRXlsAbstractExporterNature, JRXlsExporterNature, JRXlsxExporterNature

    public interface ExporterNature

extends ExporterFilter

Version:
  $Id: ExporterNature.java 3906 2010-07-20 09:03:36Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`boolean` | `isBreakAfterRow(JRPrintElement element)`
`boolean` | `isBreakBeforeRow(JRPrintElement element)`
`boolean` | `isDeep(JRPrintFrame frame)` Specified whether to include in the grid sub elements of a given `frame` element.
`boolean` | `isHorizontallyMergeEmptyCells()` Flag that specifies that empty cells are to be horizontally merged.
`boolean` | `isIgnoreLastRow()`
`boolean` | `isIgnorePageMargins()` Specifies whether empty page margins should be ignored
`boolean` | `isSpanCells()` Specifies whether the exporter handles cells span
`boolean` | `isSplitSharedRowSpan()`

Methods inherited from interface net.sf.jasperreports.engine.export.ExporterFilter
`isToExport`

Method Detail

### isDeep

    boolean isDeep(JRPrintFrame frame)

  Specified whether to include in the grid sub elements of a given `frame` element.

### isSplitSharedRowSpan

    boolean isSplitSharedRowSpan()

### isSpanCells

    boolean isSpanCells()

  Specifies whether the exporter handles cells span

### isIgnoreLastRow

    boolean isIgnoreLastRow()

### isIgnorePageMargins

    boolean isIgnorePageMargins()

  Specifies whether empty page margins should be ignored

### isBreakBeforeRow

    boolean isBreakBeforeRow(JRPrintElement element)

### isBreakAfterRow

    boolean isBreakAfterRow(JRPrintElement element)

### isHorizontallyMergeEmptyCells

    boolean isHorizontallyMergeEmptyCells()

  Flag that specifies that empty cells are to be horizontally merged.

  If the flag is set and this nature is `deep`, the nature is required to `export` `frames`.

  Returns:
    whether empty cells are to be horizontally merged

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com